Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network169.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
169.0.0.0
Broadcast address
169.255.255.255
First usable
169.0.0.1
Last usable
169.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex A9000000 · Integer 2835349504 to 2852126719
Reverse DNS zone
169.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101001..00000000.00000000.00000000169.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10101001..00000000.00000000.00000000169.0.0.0
Broadcast10101001..11111111.11111111.11111111169.255.255.255
Split into smaller subnets/17

169.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1169.0.0.0/17169.0.0.1 to 169.0.127.254169.0.127.25532,766
2169.0.128.0/17169.0.128.1 to 169.0.255.254169.0.255.25532,766
3169.1.0.0/17169.1.0.1 to 169.1.127.254169.1.127.25532,766
4169.1.128.0/17169.1.128.1 to 169.1.255.254169.1.255.25532,766
5169.2.0.0/17169.2.0.1 to 169.2.127.254169.2.127.25532,766
6169.2.128.0/17169.2.128.1 to 169.2.255.254169.2.255.25532,766
7169.3.0.0/17169.3.0.1 to 169.3.127.254169.3.127.25532,766
8169.3.128.0/17169.3.128.1 to 169.3.255.254169.3.255.25532,766
9169.4.0.0/17169.4.0.1 to 169.4.127.254169.4.127.25532,766
10169.4.128.0/17169.4.128.1 to 169.4.255.254169.4.255.25532,766
11169.5.0.0/17169.5.0.1 to 169.5.127.254169.5.127.25532,766
12169.5.128.0/17169.5.128.1 to 169.5.255.254169.5.255.25532,766
13169.6.0.0/17169.6.0.1 to 169.6.127.254169.6.127.25532,766
14169.6.128.0/17169.6.128.1 to 169.6.255.254169.6.255.25532,766
15169.7.0.0/17169.7.0.1 to 169.7.127.254169.7.127.25532,766
16169.7.128.0/17169.7.128.1 to 169.7.255.254169.7.255.25532,766
17169.8.0.0/17169.8.0.1 to 169.8.127.254169.8.127.25532,766
18169.8.128.0/17169.8.128.1 to 169.8.255.254169.8.255.25532,766
19169.9.0.0/17169.9.0.1 to 169.9.127.254169.9.127.25532,766
20169.9.128.0/17169.9.128.1 to 169.9.255.254169.9.255.25532,766
21169.10.0.0/17169.10.0.1 to 169.10.127.254169.10.127.25532,766
22169.10.128.0/17169.10.128.1 to 169.10.255.254169.10.255.25532,766
23169.11.0.0/17169.11.0.1 to 169.11.127.254169.11.127.25532,766
24169.11.128.0/17169.11.128.1 to 169.11.255.254169.11.255.25532,766
25169.12.0.0/17169.12.0.1 to 169.12.127.254169.12.127.25532,766
26169.12.128.0/17169.12.128.1 to 169.12.255.254169.12.255.25532,766
27169.13.0.0/17169.13.0.1 to 169.13.127.254169.13.127.25532,766
28169.13.128.0/17169.13.128.1 to 169.13.255.254169.13.255.25532,766
29169.14.0.0/17169.14.0.1 to 169.14.127.254169.14.127.25532,766
30169.14.128.0/17169.14.128.1 to 169.14.255.254169.14.255.25532,766
31169.15.0.0/17169.15.0.1 to 169.15.127.254169.15.127.25532,766
32169.15.128.0/17169.15.128.1 to 169.15.255.254169.15.255.25532,766
33169.16.0.0/17169.16.0.1 to 169.16.127.254169.16.127.25532,766
34169.16.128.0/17169.16.128.1 to 169.16.255.254169.16.255.25532,766
35169.17.0.0/17169.17.0.1 to 169.17.127.254169.17.127.25532,766
36169.17.128.0/17169.17.128.1 to 169.17.255.254169.17.255.25532,766
37169.18.0.0/17169.18.0.1 to 169.18.127.254169.18.127.25532,766
38169.18.128.0/17169.18.128.1 to 169.18.255.254169.18.255.25532,766
39169.19.0.0/17169.19.0.1 to 169.19.127.254169.19.127.25532,766
40169.19.128.0/17169.19.128.1 to 169.19.255.254169.19.255.25532,766
41169.20.0.0/17169.20.0.1 to 169.20.127.254169.20.127.25532,766
42169.20.128.0/17169.20.128.1 to 169.20.255.254169.20.255.25532,766
43169.21.0.0/17169.21.0.1 to 169.21.127.254169.21.127.25532,766
44169.21.128.0/17169.21.128.1 to 169.21.255.254169.21.255.25532,766
45169.22.0.0/17169.22.0.1 to 169.22.127.254169.22.127.25532,766
46169.22.128.0/17169.22.128.1 to 169.22.255.254169.22.255.25532,766
47169.23.0.0/17169.23.0.1 to 169.23.127.254169.23.127.25532,766
48169.23.128.0/17169.23.128.1 to 169.23.255.254169.23.255.25532,766
49169.24.0.0/17169.24.0.1 to 169.24.127.254169.24.127.25532,766
50169.24.128.0/17169.24.128.1 to 169.24.255.254169.24.255.25532,766
51169.25.0.0/17169.25.0.1 to 169.25.127.254169.25.127.25532,766
52169.25.128.0/17169.25.128.1 to 169.25.255.254169.25.255.25532,766
53169.26.0.0/17169.26.0.1 to 169.26.127.254169.26.127.25532,766
54169.26.128.0/17169.26.128.1 to 169.26.255.254169.26.255.25532,766
55169.27.0.0/17169.27.0.1 to 169.27.127.254169.27.127.25532,766
56169.27.128.0/17169.27.128.1 to 169.27.255.254169.27.255.25532,766
57169.28.0.0/17169.28.0.1 to 169.28.127.254169.28.127.25532,766
58169.28.128.0/17169.28.128.1 to 169.28.255.254169.28.255.25532,766
59169.29.0.0/17169.29.0.1 to 169.29.127.254169.29.127.25532,766
60169.29.128.0/17169.29.128.1 to 169.29.255.254169.29.255.25532,766
61169.30.0.0/17169.30.0.1 to 169.30.127.254169.30.127.25532,766
62169.30.128.0/17169.30.128.1 to 169.30.255.254169.30.255.25532,766
63169.31.0.0/17169.31.0.1 to 169.31.127.254169.31.127.25532,766
64169.31.128.0/17169.31.128.1 to 169.31.255.254169.31.255.25532,766
65169.32.0.0/17169.32.0.1 to 169.32.127.254169.32.127.25532,766
66169.32.128.0/17169.32.128.1 to 169.32.255.254169.32.255.25532,766
67169.33.0.0/17169.33.0.1 to 169.33.127.254169.33.127.25532,766
68169.33.128.0/17169.33.128.1 to 169.33.255.254169.33.255.25532,766
69169.34.0.0/17169.34.0.1 to 169.34.127.254169.34.127.25532,766
70169.34.128.0/17169.34.128.1 to 169.34.255.254169.34.255.25532,766
71169.35.0.0/17169.35.0.1 to 169.35.127.254169.35.127.25532,766
72169.35.128.0/17169.35.128.1 to 169.35.255.254169.35.255.25532,766
73169.36.0.0/17169.36.0.1 to 169.36.127.254169.36.127.25532,766
74169.36.128.0/17169.36.128.1 to 169.36.255.254169.36.255.25532,766
75169.37.0.0/17169.37.0.1 to 169.37.127.254169.37.127.25532,766
76169.37.128.0/17169.37.128.1 to 169.37.255.254169.37.255.25532,766
77169.38.0.0/17169.38.0.1 to 169.38.127.254169.38.127.25532,766
78169.38.128.0/17169.38.128.1 to 169.38.255.254169.38.255.25532,766
79169.39.0.0/17169.39.0.1 to 169.39.127.254169.39.127.25532,766
80169.39.128.0/17169.39.128.1 to 169.39.255.254169.39.255.25532,766
81169.40.0.0/17169.40.0.1 to 169.40.127.254169.40.127.25532,766
82169.40.128.0/17169.40.128.1 to 169.40.255.254169.40.255.25532,766
83169.41.0.0/17169.41.0.1 to 169.41.127.254169.41.127.25532,766
84169.41.128.0/17169.41.128.1 to 169.41.255.254169.41.255.25532,766
85169.42.0.0/17169.42.0.1 to 169.42.127.254169.42.127.25532,766
86169.42.128.0/17169.42.128.1 to 169.42.255.254169.42.255.25532,766
87169.43.0.0/17169.43.0.1 to 169.43.127.254169.43.127.25532,766
88169.43.128.0/17169.43.128.1 to 169.43.255.254169.43.255.25532,766
89169.44.0.0/17169.44.0.1 to 169.44.127.254169.44.127.25532,766
90169.44.128.0/17169.44.128.1 to 169.44.255.254169.44.255.25532,766
91169.45.0.0/17169.45.0.1 to 169.45.127.254169.45.127.25532,766
92169.45.128.0/17169.45.128.1 to 169.45.255.254169.45.255.25532,766
93169.46.0.0/17169.46.0.1 to 169.46.127.254169.46.127.25532,766
94169.46.128.0/17169.46.128.1 to 169.46.255.254169.46.255.25532,766
95169.47.0.0/17169.47.0.1 to 169.47.127.254169.47.127.25532,766
96169.47.128.0/17169.47.128.1 to 169.47.255.254169.47.255.25532,766
97169.48.0.0/17169.48.0.1 to 169.48.127.254169.48.127.25532,766
98169.48.128.0/17169.48.128.1 to 169.48.255.254169.48.255.25532,766
99169.49.0.0/17169.49.0.1 to 169.49.127.254169.49.127.25532,766
100169.49.128.0/17169.49.128.1 to 169.49.255.254169.49.255.25532,766
101169.50.0.0/17169.50.0.1 to 169.50.127.254169.50.127.25532,766
102169.50.128.0/17169.50.128.1 to 169.50.255.254169.50.255.25532,766
103169.51.0.0/17169.51.0.1 to 169.51.127.254169.51.127.25532,766
104169.51.128.0/17169.51.128.1 to 169.51.255.254169.51.255.25532,766
105169.52.0.0/17169.52.0.1 to 169.52.127.254169.52.127.25532,766
106169.52.128.0/17169.52.128.1 to 169.52.255.254169.52.255.25532,766
107169.53.0.0/17169.53.0.1 to 169.53.127.254169.53.127.25532,766
108169.53.128.0/17169.53.128.1 to 169.53.255.254169.53.255.25532,766
109169.54.0.0/17169.54.0.1 to 169.54.127.254169.54.127.25532,766
110169.54.128.0/17169.54.128.1 to 169.54.255.254169.54.255.25532,766
111169.55.0.0/17169.55.0.1 to 169.55.127.254169.55.127.25532,766
112169.55.128.0/17169.55.128.1 to 169.55.255.254169.55.255.25532,766
113169.56.0.0/17169.56.0.1 to 169.56.127.254169.56.127.25532,766
114169.56.128.0/17169.56.128.1 to 169.56.255.254169.56.255.25532,766
115169.57.0.0/17169.57.0.1 to 169.57.127.254169.57.127.25532,766
116169.57.128.0/17169.57.128.1 to 169.57.255.254169.57.255.25532,766
117169.58.0.0/17169.58.0.1 to 169.58.127.254169.58.127.25532,766
118169.58.128.0/17169.58.128.1 to 169.58.255.254169.58.255.25532,766
119169.59.0.0/17169.59.0.1 to 169.59.127.254169.59.127.25532,766
120169.59.128.0/17169.59.128.1 to 169.59.255.254169.59.255.25532,766
121169.60.0.0/17169.60.0.1 to 169.60.127.254169.60.127.25532,766
122169.60.128.0/17169.60.128.1 to 169.60.255.254169.60.255.25532,766
123169.61.0.0/17169.61.0.1 to 169.61.127.254169.61.127.25532,766
124169.61.128.0/17169.61.128.1 to 169.61.255.254169.61.255.25532,766
125169.62.0.0/17169.62.0.1 to 169.62.127.254169.62.127.25532,766
126169.62.128.0/17169.62.128.1 to 169.62.255.254169.62.255.25532,766
127169.63.0.0/17169.63.0.1 to 169.63.127.254169.63.127.25532,766
128169.63.128.0/17169.63.128.1 to 169.63.255.254169.63.255.25532,766
129169.64.0.0/17169.64.0.1 to 169.64.127.254169.64.127.25532,766
130169.64.128.0/17169.64.128.1 to 169.64.255.254169.64.255.25532,766
131169.65.0.0/17169.65.0.1 to 169.65.127.254169.65.127.25532,766
132169.65.128.0/17169.65.128.1 to 169.65.255.254169.65.255.25532,766
133169.66.0.0/17169.66.0.1 to 169.66.127.254169.66.127.25532,766
134169.66.128.0/17169.66.128.1 to 169.66.255.254169.66.255.25532,766
135169.67.0.0/17169.67.0.1 to 169.67.127.254169.67.127.25532,766
136169.67.128.0/17169.67.128.1 to 169.67.255.254169.67.255.25532,766
137169.68.0.0/17169.68.0.1 to 169.68.127.254169.68.127.25532,766
138169.68.128.0/17169.68.128.1 to 169.68.255.254169.68.255.25532,766
139169.69.0.0/17169.69.0.1 to 169.69.127.254169.69.127.25532,766
140169.69.128.0/17169.69.128.1 to 169.69.255.254169.69.255.25532,766
141169.70.0.0/17169.70.0.1 to 169.70.127.254169.70.127.25532,766
142169.70.128.0/17169.70.128.1 to 169.70.255.254169.70.255.25532,766
143169.71.0.0/17169.71.0.1 to 169.71.127.254169.71.127.25532,766
144169.71.128.0/17169.71.128.1 to 169.71.255.254169.71.255.25532,766
145169.72.0.0/17169.72.0.1 to 169.72.127.254169.72.127.25532,766
146169.72.128.0/17169.72.128.1 to 169.72.255.254169.72.255.25532,766
147169.73.0.0/17169.73.0.1 to 169.73.127.254169.73.127.25532,766
148169.73.128.0/17169.73.128.1 to 169.73.255.254169.73.255.25532,766
149169.74.0.0/17169.74.0.1 to 169.74.127.254169.74.127.25532,766
150169.74.128.0/17169.74.128.1 to 169.74.255.254169.74.255.25532,766
151169.75.0.0/17169.75.0.1 to 169.75.127.254169.75.127.25532,766
152169.75.128.0/17169.75.128.1 to 169.75.255.254169.75.255.25532,766
153169.76.0.0/17169.76.0.1 to 169.76.127.254169.76.127.25532,766
154169.76.128.0/17169.76.128.1 to 169.76.255.254169.76.255.25532,766
155169.77.0.0/17169.77.0.1 to 169.77.127.254169.77.127.25532,766
156169.77.128.0/17169.77.128.1 to 169.77.255.254169.77.255.25532,766
157169.78.0.0/17169.78.0.1 to 169.78.127.254169.78.127.25532,766
158169.78.128.0/17169.78.128.1 to 169.78.255.254169.78.255.25532,766
159169.79.0.0/17169.79.0.1 to 169.79.127.254169.79.127.25532,766
160169.79.128.0/17169.79.128.1 to 169.79.255.254169.79.255.25532,766
161169.80.0.0/17169.80.0.1 to 169.80.127.254169.80.127.25532,766
162169.80.128.0/17169.80.128.1 to 169.80.255.254169.80.255.25532,766
163169.81.0.0/17169.81.0.1 to 169.81.127.254169.81.127.25532,766
164169.81.128.0/17169.81.128.1 to 169.81.255.254169.81.255.25532,766
165169.82.0.0/17169.82.0.1 to 169.82.127.254169.82.127.25532,766
166169.82.128.0/17169.82.128.1 to 169.82.255.254169.82.255.25532,766
167169.83.0.0/17169.83.0.1 to 169.83.127.254169.83.127.25532,766
168169.83.128.0/17169.83.128.1 to 169.83.255.254169.83.255.25532,766
169169.84.0.0/17169.84.0.1 to 169.84.127.254169.84.127.25532,766
170169.84.128.0/17169.84.128.1 to 169.84.255.254169.84.255.25532,766
171169.85.0.0/17169.85.0.1 to 169.85.127.254169.85.127.25532,766
172169.85.128.0/17169.85.128.1 to 169.85.255.254169.85.255.25532,766
173169.86.0.0/17169.86.0.1 to 169.86.127.254169.86.127.25532,766
174169.86.128.0/17169.86.128.1 to 169.86.255.254169.86.255.25532,766
175169.87.0.0/17169.87.0.1 to 169.87.127.254169.87.127.25532,766
176169.87.128.0/17169.87.128.1 to 169.87.255.254169.87.255.25532,766
177169.88.0.0/17169.88.0.1 to 169.88.127.254169.88.127.25532,766
178169.88.128.0/17169.88.128.1 to 169.88.255.254169.88.255.25532,766
179169.89.0.0/17169.89.0.1 to 169.89.127.254169.89.127.25532,766
180169.89.128.0/17169.89.128.1 to 169.89.255.254169.89.255.25532,766
181169.90.0.0/17169.90.0.1 to 169.90.127.254169.90.127.25532,766
182169.90.128.0/17169.90.128.1 to 169.90.255.254169.90.255.25532,766
183169.91.0.0/17169.91.0.1 to 169.91.127.254169.91.127.25532,766
184169.91.128.0/17169.91.128.1 to 169.91.255.254169.91.255.25532,766
185169.92.0.0/17169.92.0.1 to 169.92.127.254169.92.127.25532,766
186169.92.128.0/17169.92.128.1 to 169.92.255.254169.92.255.25532,766
187169.93.0.0/17169.93.0.1 to 169.93.127.254169.93.127.25532,766
188169.93.128.0/17169.93.128.1 to 169.93.255.254169.93.255.25532,766
189169.94.0.0/17169.94.0.1 to 169.94.127.254169.94.127.25532,766
190169.94.128.0/17169.94.128.1 to 169.94.255.254169.94.255.25532,766
191169.95.0.0/17169.95.0.1 to 169.95.127.254169.95.127.25532,766
192169.95.128.0/17169.95.128.1 to 169.95.255.254169.95.255.25532,766
193169.96.0.0/17169.96.0.1 to 169.96.127.254169.96.127.25532,766
194169.96.128.0/17169.96.128.1 to 169.96.255.254169.96.255.25532,766
195169.97.0.0/17169.97.0.1 to 169.97.127.254169.97.127.25532,766
196169.97.128.0/17169.97.128.1 to 169.97.255.254169.97.255.25532,766
197169.98.0.0/17169.98.0.1 to 169.98.127.254169.98.127.25532,766
198169.98.128.0/17169.98.128.1 to 169.98.255.254169.98.255.25532,766
199169.99.0.0/17169.99.0.1 to 169.99.127.254169.99.127.25532,766
200169.99.128.0/17169.99.128.1 to 169.99.255.254169.99.255.25532,766
201169.100.0.0/17169.100.0.1 to 169.100.127.254169.100.127.25532,766
202169.100.128.0/17169.100.128.1 to 169.100.255.254169.100.255.25532,766
203169.101.0.0/17169.101.0.1 to 169.101.127.254169.101.127.25532,766
204169.101.128.0/17169.101.128.1 to 169.101.255.254169.101.255.25532,766
205169.102.0.0/17169.102.0.1 to 169.102.127.254169.102.127.25532,766
206169.102.128.0/17169.102.128.1 to 169.102.255.254169.102.255.25532,766
207169.103.0.0/17169.103.0.1 to 169.103.127.254169.103.127.25532,766
208169.103.128.0/17169.103.128.1 to 169.103.255.254169.103.255.25532,766
209169.104.0.0/17169.104.0.1 to 169.104.127.254169.104.127.25532,766
210169.104.128.0/17169.104.128.1 to 169.104.255.254169.104.255.25532,766
211169.105.0.0/17169.105.0.1 to 169.105.127.254169.105.127.25532,766
212169.105.128.0/17169.105.128.1 to 169.105.255.254169.105.255.25532,766
213169.106.0.0/17169.106.0.1 to 169.106.127.254169.106.127.25532,766
214169.106.128.0/17169.106.128.1 to 169.106.255.254169.106.255.25532,766
215169.107.0.0/17169.107.0.1 to 169.107.127.254169.107.127.25532,766
216169.107.128.0/17169.107.128.1 to 169.107.255.254169.107.255.25532,766
217169.108.0.0/17169.108.0.1 to 169.108.127.254169.108.127.25532,766
218169.108.128.0/17169.108.128.1 to 169.108.255.254169.108.255.25532,766
219169.109.0.0/17169.109.0.1 to 169.109.127.254169.109.127.25532,766
220169.109.128.0/17169.109.128.1 to 169.109.255.254169.109.255.25532,766
221169.110.0.0/17169.110.0.1 to 169.110.127.254169.110.127.25532,766
222169.110.128.0/17169.110.128.1 to 169.110.255.254169.110.255.25532,766
223169.111.0.0/17169.111.0.1 to 169.111.127.254169.111.127.25532,766
224169.111.128.0/17169.111.128.1 to 169.111.255.254169.111.255.25532,766
225169.112.0.0/17169.112.0.1 to 169.112.127.254169.112.127.25532,766
226169.112.128.0/17169.112.128.1 to 169.112.255.254169.112.255.25532,766
227169.113.0.0/17169.113.0.1 to 169.113.127.254169.113.127.25532,766
228169.113.128.0/17169.113.128.1 to 169.113.255.254169.113.255.25532,766
229169.114.0.0/17169.114.0.1 to 169.114.127.254169.114.127.25532,766
230169.114.128.0/17169.114.128.1 to 169.114.255.254169.114.255.25532,766
231169.115.0.0/17169.115.0.1 to 169.115.127.254169.115.127.25532,766
232169.115.128.0/17169.115.128.1 to 169.115.255.254169.115.255.25532,766
233169.116.0.0/17169.116.0.1 to 169.116.127.254169.116.127.25532,766
234169.116.128.0/17169.116.128.1 to 169.116.255.254169.116.255.25532,766
235169.117.0.0/17169.117.0.1 to 169.117.127.254169.117.127.25532,766
236169.117.128.0/17169.117.128.1 to 169.117.255.254169.117.255.25532,766
237169.118.0.0/17169.118.0.1 to 169.118.127.254169.118.127.25532,766
238169.118.128.0/17169.118.128.1 to 169.118.255.254169.118.255.25532,766
239169.119.0.0/17169.119.0.1 to 169.119.127.254169.119.127.25532,766
240169.119.128.0/17169.119.128.1 to 169.119.255.254169.119.255.25532,766
241169.120.0.0/17169.120.0.1 to 169.120.127.254169.120.127.25532,766
242169.120.128.0/17169.120.128.1 to 169.120.255.254169.120.255.25532,766
243169.121.0.0/17169.121.0.1 to 169.121.127.254169.121.127.25532,766
244169.121.128.0/17169.121.128.1 to 169.121.255.254169.121.255.25532,766
245169.122.0.0/17169.122.0.1 to 169.122.127.254169.122.127.25532,766
246169.122.128.0/17169.122.128.1 to 169.122.255.254169.122.255.25532,766
247169.123.0.0/17169.123.0.1 to 169.123.127.254169.123.127.25532,766
248169.123.128.0/17169.123.128.1 to 169.123.255.254169.123.255.25532,766
249169.124.0.0/17169.124.0.1 to 169.124.127.254169.124.127.25532,766
250169.124.128.0/17169.124.128.1 to 169.124.255.254169.124.255.25532,766
251169.125.0.0/17169.125.0.1 to 169.125.127.254169.125.127.25532,766
252169.125.128.0/17169.125.128.1 to 169.125.255.254169.125.255.25532,766
253169.126.0.0/17169.126.0.1 to 169.126.127.254169.126.127.25532,766
254169.126.128.0/17169.126.128.1 to 169.126.255.254169.126.255.25532,766
255169.127.0.0/17169.127.0.1 to 169.127.127.254169.127.127.25532,766
256169.127.128.0/17169.127.128.1 to 169.127.255.254169.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses